gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.BlurNode

Contents

- Exported types
- Methods
  - getChild
  - getRadius
  - new

Description

A render node applying a blur effect to its single child.

Synopsis

- newtype BlurNode = BlurNode (ManagedPtr BlurNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf BlurNode o) => IsBlurNode o
- toBlurNode :: (MonadIO m, IsBlurNode o) => o -> m BlurNode
- blurNodeGetChild :: (HasCallStack, MonadIO m, IsBlurNode a) => a -> m RenderNode
- blurNodeGetRadius :: (HasCallStack, MonadIO m, IsBlurNode a) => a -> m Float
- blurNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> Float -> m BlurNode

# Exported types

newtype BlurNode Source #

Memory-managed wrapper type.

Constructors

BlurNode (ManagedPtr BlurNode) |

#### Instances

Instances details

Eq BlurNode Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode Methods (==) :: BlurNode -> BlurNode -> Bool Source # (/=) :: BlurNode -> BlurNode -> Bool Source #
BoxedPtr BlurNode Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode Methods boxedPtrCopy :: BlurNode -> IO BlurNode Source # boxedPtrFree :: BlurNode -> IO () Source #
ManagedPtrNewtype BlurNode Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode Methods toManagedPtr :: BlurNode -> ManagedPtr BlurNode Source #
TypedObject BlurNode Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode Methods glibType :: IO GType Source #
HasParentTypes BlurNode Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode
type ParentTypes BlurNode Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode type ParentTypes BlurNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf BlurNode o) => IsBlurNode o Source #

Type class for types which can be safely cast to `BlurNode`, for instance with `toBlurNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf BlurNode o) => IsBlurNode o Source # |
Instance details Defined in GI.Gsk.Objects.BlurNode

toBlurNode :: (MonadIO m, IsBlurNode o) => o -> m BlurNode Source #

Cast to `BlurNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getNodeType, getOpaqueRect, getRadius.

#### Setters

None.

## getChild

blurNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsBlurNode a) |
=> a | `node`: a blur `GskRenderNode`
-> m RenderNode | Returns: the blurred child node

Retrieves the child `GskRenderNode` of the blur `node`.

## getRadius

blurNodeGetRadius Source #

Arguments

:: (HasCallStack, MonadIO m, IsBlurNode a) |
=> a | `node`: a blur `GskRenderNode`
-> m Float | Returns: the blur radius

Retrieves the blur radius of the `node`.

## new

blurNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: the child node to blur
-> Float | `radius`: the blur radius. Must be positive
-> m BlurNode | Returns: a new `GskRenderNode`

Creates a render node that blurs the child.